Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Public Member Functions | List of all members
ranges::chunk_view_< Rng, false > Struct Template Reference
Views
Inheritance diagram for ranges::chunk_view_< Rng, false >:

## Public Member Functions
Rng | base () const
constexpr | chunk_view_ (Rng rng, range_difference_t< Rng > n)
constexpr auto | size ()
constexpr auto | size () const
Public Member Functions inherited from ranges::view_facade< chunk_view_< Rng, false >, is_finite< Rng >::value ? finite :range_cardinality< Rng >::value >
constexpr auto | begin () -> detail::facade_iterator_t< D >
| Let `d` be `static_cast<Derived &>(*this)`. Let `b` be `std::as_const(d).begin_cursor()` if that expression is well-formed; otherwise, let `b` be `d.begin_cursor()`. Let `B` be the type of `b`. More...
constexpr auto | begin () const -> detail::facade_iterator_t< D const >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
constexpr auto | end () -> detail::facade_sentinel_t< D >
| Let `d` be `static_cast<Derived &>(*this)`. Let `e` be `std::as_const(d).end_cursor()` if that expression is well-formed; otherwise, let `e` be `d.end_cursor()`. Let `E` be the type of `e`. More...
constexpr auto | end () const -> detail::facade_sentinel_t< D const >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Protected Member Functions inherited from ranges::view_facade< chunk_view_< Rng, false >, is_finite< Rng >::value ? finite :range_cardinality< Rng >::value >
constexpr view_as_cursor | begin_cursor () const
constexpr default_sentinel_t | end_cursor () const
Protected Attributes inherited from ranges::view_facade< chunk_view_< Rng, false >, is_finite< Rng >::value ? finite :range_cardinality< Rng >::value >
friend | range_access

## Member Function Documentation

## ◆ size() [1/2]

template<typename Rng >

constexpr auto ranges::chunk_view_< Rng, false >::size | ( |  | ) |
| constexpr

Precondition
  requires `sized_range<Rng>`

## ◆ size() [2/2]

template<typename Rng >

constexpr auto ranges::chunk_view_< Rng, false >::size | ( |  | ) | const
| constexpr

Precondition
  requires `sized_range<Rng const>`